%define name qcg-repo-stable
%define _sourcedir %{_topdir}/SOURCES/qcg-repo

Name:           %{name}
Version:        1.0.0
Release:        1
Group:		Applications/System
Summary:        RPM Package containing repository file and GPG key for QCG software
License:        GPLv3
URL:            http://www.qoscosgrid.org/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
Source0:       	qcg-stable.repo
Source1:       	RPM-GPG-KEY-QCG
Obsoletes:	qcg-repo-official

%description
Installs QCG repo configuration file and GPG key

% %prep
% %setup -q

% %build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/
install %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,-)
/etc/yum.repos.d/qcg-stable.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-QCG

%changelog
* Fri Mar 08 2013 Bartosz Bosak <bbosak@man.poznan.pl> 1.0.0
- RPM with repository file and GPG key for QCG software
